﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Notifications;
using Hotline.Orders;
using MediatR;

namespace Hotline.Application.Handlers.FlowEngine
{
    public class OrderFinalManageHandler : INotificationHandler<OrderFinalManageNotify>
    {
        private readonly IOrderDomainService _orderDomainService;

        public OrderFinalManageHandler(IOrderDomainService orderDomainService)
        {
            _orderDomainService = orderDomainService;
        }

        /// <summary>Handles a notification</summary>
        /// <param name="notification">The notification</param>
        /// <param name="cancellationToken">Cancellation token</param>
        public async Task Handle(OrderFinalManageNotify notification, CancellationToken cancellationToken)
        {
            await _orderDomainService.FinalManageAsync(notification.Workflow.Id, cancellationToken);
        }
    }
}
