﻿using Hotline.KnowledgeBase;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Settings;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Knowledge
{
    public class KnowledgeRepository : BaseRepositoryWorkflow<KnowledgeBase.Knowledge>, IKnowledgeRepository, IScopeDependency
    {
        public KnowledgeRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {

        }
        /// <summary>
        /// 获取子级
        /// </summary>
        /// <param name=""></param>
        /// <returns></returns>
        public async Task<List<SystemOrganize>> GetChild(string Id)
        {
            return await Db.Queryable<SystemOrganize>().ToChildListAsync(it => it.ParentId, Id);
        }
    }
}
