﻿using Hotline.Share.Dtos.FlowEngine;

namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 编辑
    /// </summary>
    public record UpdateKnowledgeDto : KnowledgeDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 工作流信息
        /// </summary>
        public StartWorkflowDto StartWorkflowDto { get; set; }
    }

    /// <summary>
    /// 新增知识
    /// </summary>
    public record AddKnowledgeDto : KnowledgeDto
    {
        /// <summary>
        /// 知识Code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 工作流信息
        /// </summary>
        public StartWorkflowDto StartWorkflowDto { get; set; }
    }

    /// <summary>
    /// 查询详情
    /// </summary>
    public record KnowledgeInfoDto: KnowledgeDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 知识Code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 流程Id
        /// </summary>
        public string? WorkflowId { get; set; }
    }

    /// <summary>
    /// 基础
    /// </summary>
    public record KnowledgeDto
    {
        /// <summary>
        /// 知识分类
        /// </summary>
        public string KnowledgeTypeId { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        public string HotspotId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 摘要
        /// </summary>
        public string Summary { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        public bool IsPublic { get; set; }

        /// <summary>
        /// 到期时间
        /// </summary>
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 关键词
        /// </summary>
        public string Keywords { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<string> Additions { get; set; }

        /// <summary>
        /// 关联知识申请
        /// </summary>
        public string Applies { get; set; }

        /// <summary>
        /// 关联知识
        /// </summary>
        public List<string> Knowledges { get; set; }

    }
}
