﻿using Hotline.Share.Dtos.FlowEngine;
using Hotline.Share.Enums.FlowEngine;
using XF.Domain.Entities;

namespace Hotline.FlowEngine.Definitions;

/// <summary>
/// 模板定义节点
/// </summary>
public class StepDefine : StepBasic
{
    public List<NextStepDefine> NextSteps { get; set; }

    /// <summary>
    /// 是否发起会签
    /// </summary>
    /// <param name="handlerCount">下一节点办理人数量</param>
    /// <returns></returns>
    public bool IsStartCountersign(int handlerCount)
    {
        if (StepType is EStepType.End) return false;

        //需求：按角色指派默认不发起会签
        if (HandlerType is EHandlerType.Role) return false;

        return handlerCount > 1;
    }
}