﻿using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
    public interface IKnowledgeTypeRepository : IRepository<KnowledgeType>
    {
        /// <summary>
        /// 查询树形
        /// </summary>
        /// <param name="Id"></param>
        /// <param name="IsEnable"></param>
        /// <returns></returns>
        Task<List<KnowledgeType>> GetTree(string Id, string? IsEnable);

        /// <summary>
        /// 获取子级
        /// </summary>
        /// <param name=""></param>
        /// <returns></returns>
        Task<List<KnowledgeType>> GetChild(string Id);

        /// <summary>
        /// 获取父级
        /// </summary>
        /// <param name=""></param>
        /// <returns></returns>
        Task<List<KnowledgeType>> GetParent(string Id);


    }
}
