﻿using Hotline.Settings;
using Hotline.Share.Enums.KnowledgeBase;
using Hotline.Users;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase;

/// <summary>
/// 申请
/// </summary>
public class KnowledgeApply : FullStateEntity
{
    /// <summary>
    /// 知识ID
    /// </summary>
    public string KnowledgeId { get; set; }

    /// <summary>
    /// 内容
    /// </summary>
    public string Content { get; set; }

    /// <summary>
    /// 申请类型
    /// </summary>
    public EKnowledgeApplyType KnowledgeApplyType { get; set; }

    /// <summary>
    /// 申请状态
    /// </summary>
    public EKnowledgeApplyStatus Status { get; set; }

    /// <summary>
    /// 处理部门Id
    /// </summary>
    public string DepartmentId { get; set; }

    /// <summary>
    /// 处理部门名称
    /// </summary>
    public string Department { get; set; }

    /// <summary>
    /// 截止时间
    /// </summary>
    public DateTime? ExpiredTime { get; set; }

    /// <summary>
    /// 处理完成时间
    /// </summary>
    public DateTime? HandleTime { get; set; }

    /// <summary>
    /// 退回时间
    /// </summary>
    public DateTime? ReturnTime { get; set; }

    /// <summary>
    /// 办理或者退回意见
    /// </summary>
    public string Opinion { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(CreatorId))]//一对一 CreateUserId是KnowledgeApply类里面的
    public User User { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(CreatorOrgId))]//一对一 
    public SystemOrganize SystemOrganize { get; set; }

}