﻿using Hotline.FlowEngine.Workflows;
using Hotline.Share.Enums.KnowledgeBase;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
    public class KnowledgeWorkFlow : WorkflowEntity   //WorkflowEntity   CreationEntity
    {
        /// <summary>
        /// 知识ID
        /// </summary>
        public string KnowledgeId { get; set; }

        /// <summary>
        /// 操作类型，新增、删除、编辑
        /// </summary>
        public EKnowledgeApplyType WorkflowModuleStatus { get; set; }

        /// <summary>
        /// 审批状态
        /// </summary>
        public EKnowledgeWorkFlowStatus WorkFlowApplyStatus { get; set; }

        /// <summary>
        /// 知识信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(KnowledgeId))]//一对一 
        public Knowledge Knowledge { get; set; }

        /// <summary>
        /// 流程信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(WorkflowId))]//一对一 
        public Workflow Workflow { get; set; }
    }
}
